// @deno-types="npm:@types/nodemailer"
import nodemailer from 'nodemailer'

export async function transporter() {
	const dkimPath =
		'/home/julien/dkim_sendmail_keys/dkim_sendmail_cohabit_fr.pem'
	const dkimPrivateKey = await Deno.readTextFile(dkimPath).catch((cause) => {
		throw new Error(`unable to load DKIM private key from "${dkimPath}"`, {
			cause,
		})
	})

	return nodemailer.createTransport({
		sendmail: true,
		newline: 'unix',
		path: '/usr/sbin/sendmail',
		dkim: {
			domainName: 'cohabit.fr',
			keySelector: 'sendmailY2024M03',
			privateKey: dkimPrivateKey,
		},
	})
}
