import { Column, Container, Img, Row, Text } from 'jsx-email'
import type { JSX } from 'preact/jsx-runtime'

const imgCss: JSX.CSSProperties = {
	display: 'inline',
	padding: '1rem',
	paddingBottom: 0,
	height: '3rem',
}

export function Signature() {
	return (
		<Container style={{ textAlign: 'center', fontSize: '12px' }}>
			<Row>
				<Column>
					<a href='https://cohabit.fr'>Accéder au site →</a>
				</Column>
				<Column>
					<a href='tel:0556847961'>Nous téléphoner →</a>
				</Column>
				<Column>
					<a href='mailto:fablab@iut.u-bordeaux.fr'>Nous contacter →</a>
				</Column>
			</Row>
			<Row>
				<Img
					src='https://cohabit.fr/images/logo.png'
					alt='FabLab Cohabit'
					style={imgCss}
				/>
			</Row>
			<Text style={{ fontSize: '12px' }}>
				Coh@bit, IUT de Bordeaux, Bâtiment 10A,	15 rue Naudet, 33170 GRADIGNAN
			</Text>
		</Container>
	)
}
